local BossSkillCell = class("BossSkillCell", BaseCell)

function BossSkillCell:init()
	self.baseObject:addClickListener(function()
		-- self.battleController:showBuffTips(SIDE_DEF)
		-- ModuleManager.TipsManager:showBattleBoardSkillTips(self.battleData:getHeroEntity(elementType, side), self.battleController, side)
		ModuleManager.TipsManager:showBattleSkillTips(self.baseObject, nil, self.skillId)
	end)
	local uiMap = self:getUIMap()
	self.icon = uiMap["boss_skill_cell.icon"]
	local value = uiMap["boss_skill_cell.value"]
	local count = uiMap["boss_skill_cell.count"]
end

function BossSkillCell:refresh(skillId)
	print("=============================== skillId = %s", skillId)
	self.skillId = skillId
	-- self.icon:setSprite(GConst.ATLAS_PATH.ICON_SKILL, self.lastSkillIcon)
	local icon = ModuleManager.HeroManager:getSkillIcon(skillId)
	self.icon:setSprite(GConst.ATLAS_PATH.ICON_SKILL, icon)
end

function BossSkillCell:setActive(active)
	self.baseObject:setActive(active)
end

return BossSkillCell